# $Revision: 1.12 $, $Date: 2011/04/07 08:26:10 $
Summary:	IRC in Mozilla, aka ChatZilla
Summary(pl.UTF-8):	IRC w Mozilli, znany też jako ChatZilla
Name:		chatzilla
Version:	0.9.86.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://chatzilla.rdmsoft.com/xulrunner/download/%{name}-%{version}-xr.zip
# Source0-md5:	4ba49087521f6c0cb0eb6ca6a4797f72
Source1:	%{name}.desktop
URL:		http://chatzilla.rdmsoft.com/xulrunner/
BuildRequires:	unzip
Requires:	xulrunner >= 1.9.0.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir	%{_datadir}/%{name}

%description
ChatZilla is an IRC client that is written entirely in JavaScript and
XUL.

%description -l pl.UTF-8
ChatZilla to klient IRC-a napisany całkowicie w JavaScripcie i XUL-u.

%prep
%setup -qc

cat <<'EOF' > %{name}.sh
#!/bin/sh
exec %{_bindir}/xulrunner %{_appdir}/application.ini
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_appdir},%{_desktopdir}}

install -p %{name}.sh $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -p application.ini $RPM_BUILD_ROOT%{_appdir}
cp -a chrome components defaults extensions $RPM_BUILD_ROOT%{_appdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}

%dir %{_appdir}
%{_appdir}/application.ini
%dir %{_appdir}/components
%{_appdir}/components/*.js
%{_appdir}/chrome
%{_appdir}/defaults
%dir %{_appdir}/extensions
%{_appdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}

%{_desktopdir}/chatzilla.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chatzilla.spec,v $
Revision 1.12  2011/04/07 08:26:10  glen
- up to 0.9.86.1

Revision 1.11  2010/02/03 18:33:55  sparky
- BR: unzip

Revision 1.10  2010/02/03 16:44:20  duddits
- up to 0.9.86

Revision 1.9  2009/07/30 21:54:53  glen
- 0.9.85

Revision 1.8  2008/11/25 11:40:59  duddits
- up to 0.9.84
- R: xulrunner >= 1.9.0.4

Revision 1.7  2008/09/19 13:42:36  duddits
- up to 0.9.83

Revision 1.6  2007/12/27 21:54:34  zbyniu
- up to 0.9.79

Revision 1.5  2007-02-12 22:09:09  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.3  2007/01/13 15:07:30  qboosh
- pl

Revision 1.2  2007/01/02 17:59:43  glen
- package extensions

Revision 1.1  2007/01/02 17:57:57  glen
- new, chatzilla running on xulrunner
